Subject: need help with git show :1:...

From: layer <[email-masked]>
Date: Wed, 08 Apr 2009 10:41:26 -0700

I remember this working for me in the not too distant past.  
I'm using git version 1.6.1.3.  Perhaps it was an older version of git
when it worked for me.

quadra% ls -l src/c/sock.c
-rw-r--r-- 1 layer fi 57909 Mar  9 13:32 src/c/sock.c
quadra% git show :2:src/c/sock.c
fatal: ambiguous argument ':2:src/c/sock.c': unknown revision or path not in the working tree.
Use '--' to separate paths from revisions
quadra% git show :1:c/sock.c
fatal: ambiguous argument ':1:c/sock.c': unknown revision or path not in the working tree.
Use '--' to separate paths from revisions
quadra% git show :1:sock.c
fatal: ambiguous argument ':1:sock.c': unknown revision or path not in the working tree.
Use '--' to separate paths from revisions
quadra% git show :1:/src/c/sock.c
fatal: ambiguous argument ':1:/src/c/sock.c': unknown revision or path not in the working tree.
Use '--' to separate paths from revisions

If I cd to "src/c" and do "git show :1:sock.c" the same thing happens.

Thanks.